use `sample-form-platform`;
-- ----------------------------
-- 基础事项业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sheet_matter`;
CREATE TABLE mortals_xhx_sheet_matter
(
    `id`                        bigint(20) AUTO_INCREMENT COMMENT '序号，主键，自增长',
    `siteId`                    bigint(20) COMMENT '站点ID',
    `tid`                       varchar(128) COMMENT '从政务系统来的事项id',
    `tcode`                     varchar(128) COMMENT '从政务系统来的事项code',
    `tname`                     varchar(255) COMMENT '从政务系统来的事项name',
    `matterName`                varchar(64) COMMENT '事项名称',
    `englishName`               varchar(256) COMMENT '英语事项名',
    `matterNo`                  varchar(64) COMMENT '事项编号',
    `appoveObjectShow`          varchar(16) COMMENT '服务对象 （1.事业法人，2.社会组织法人，3.非法人企业，4.企业法人，5.自然人，6.其他组织）',
    `operatScopeShow`           varchar(64) COMMENT '通办范围 （1.无，2.全国，3.全省，4.全市，5.全县，6.全镇[乡、街道]，7.跨村[社区]）',
    `appoveTimeLimitShow`       varchar(16) COMMENT '办件类型（1.网络办件，2.行政审批一般件，3.综合窗口件）',
    `handleType`                varchar(12) COMMENT '办理形式（1.窗口办理，2.网上办理）',
    `legalTimeLimitShow`        varchar(32) COMMENT '法定办结时限',
    `legalEndExplain`           varchar(255) COMMENT '法定时限办结说明',
    `promiseTimeLimitShow`      varchar(32) COMMENT '承诺办结时限',
    `promiseEndExplain`         varchar(255) COMMENT '承诺时限办结说明',
    `isChargesShow`             varchar(16) COMMENT '是否收费（0.否，1.是）',
    `certificationLevelsShow`   varchar(64) COMMENT '认证等级需求（1.实名认证，2.单次面签，3.每次面签）',
    `planTakeTime`              datetime COMMENT '计划生效日期',
    `promiseTakeTime`           datetime COMMENT '承诺生效日期',
    `specialProcedure`          varchar(64) COMMENT '特别程序',
    `windowToTheSceneNum`       tinyint(2) COMMENT '窗口到现场次数',
    `isOnlineSubscribeShow`     varchar(64) COMMENT '是否网上预约,窗口办理选（0.否，1.是）',
    `isExpressTakeShow`         varchar(16) COMMENT '物流快递,窗口办理选（0.否，1.是）',
    `isProvinceAcquisitionShow` varchar(16) COMMENT '是否支持全省范围就近取件（0.否，1.是）',
    `isApplyProvinceShow`       varchar(16) COMMENT '是否支持全省范围就近办理（0.否，1.是）',
    `mustSceneExplain`          varchar(512) COMMENT '必须到现场原因',
    `onlineType`                varchar(32) COMMENT '网办类型（1.原件预审，2.原件核验，3.全程网办）',
    `onlineToTheSceneNum`       tinyint(2) COMMENT '网办到现场次数',
    `onlineOperatDeep`          varchar(16) COMMENT '网络办理深度（1.互联网咨询，2.互联网收件，3.互联网预审，4.互联网受理，5.互联网办理，6.互联网办理结果信息反馈，7.其他）',
    `isExpressTakeOnlineShow`   varchar(16) COMMENT '物流快递，网上办理选（0.否，1.是）',
    `isDoorTakeShow`            varchar(16) COMMENT '是否支持上门收取申请（0.否，1.是）',
    `onlineMustSceneExplain`    varchar(512) COMMENT '网上必须到现场原因',
    `performDeptType`           varchar(64) COMMENT '实施主体',
    `matterEdition`             varchar(32) COMMENT '事项版本',
    `eventTypeShow`             varchar(128) COMMENT '事项类型名称（1A.行政许可，1B.行政处罚，1C.行政强制，1D.行政征收，1G.行政给付，1I.行政检查，1F.行政确认，1H.行政奖励，1E.行政裁决，1Z.其他行政权力，2A.主动服务，2B.依申请服务，2C.咨询查询，3A.未归类事项）',
    `performHierarchyShow`      varchar(128) COMMENT '行使层级名称（1.省级，2.市级，3.县级，4.镇[乡、街道]，5.村[社区]级）',
    `powerSourceShow`           varchar(64) COMMENT '权力来源（1.法定本级行使，2.上级下放，3.上级授权，4.同级授权，5.上级委托，6.同级委托）',
    `performDeptTypeShow`       varchar(64) COMMENT '实施主体性质（1.法定机关，2.授权组织，3.受委托组织）',
    `goveServiceCenterShow`     varchar(16) COMMENT '是否进驻中心（0.否，1.是）',
    `isConvenientCenterShow`    varchar(16) COMMENT '是否纳入便民服务中心（0.否，1.是）',
    `terminalHandle`            tinyint(2) COMMENT '自助终端办理 （0.否，1.是）',
    `isOnline`                  tinyint(2) COMMENT '是否网办 （0.否，1.是）',
    `isOnlinePayShow`           varchar(16) COMMENT '支持网上支付（0.否，1.是）',
    `entrustmentDepartmen`      varchar(64) COMMENT '委托部门（0.否，1.是）',
    `jointInfoShow`             varchar(128) COMMENT '联办机构',
    `matterStatus`              varchar(32) COMMENT '事项状态（0.停用，1.在用）',
    `numberLimit`               int(11) COMMENT '数量限制',
    `type`                      varchar(32) COMMENT '主题类型（1.法定机关，2.授权组织，3.受委托组织）',
    `baseCode`                  varchar(128) COMMENT '基本编码',
    `implementCode`             varchar(128) COMMENT '实施编码',
    `implementBodyCode`         varchar(128) COMMENT '实施主体编码',
    `operateItemCode`           varchar(128) COMMENT '办理项编码',
    `townshipName`              varchar(128) COMMENT '乡镇街道名称',
    `townshipCode`              varchar(128) COMMENT '乡镇街道代码',
    `villageName`               varchar(128) COMMENT '村居社区名称',
    `villageCode`               varchar(128) COMMENT '村居社区代码',
    `operateTime`               varchar(128) COMMENT '办理时间',
    `operateSite`               varchar(128) COMMENT '办理地点',
    `cousultingShow`            varchar(64) COMMENT '咨询方式',
    `cousultingTelephoneShow`   varchar(64) COMMENT '咨询电话',
    `superviseShow`             varchar(64) COMMENT '监督方式',
    `mattertype`                tinyint(1) COMMENT '是否样表展示（0.否，1.是）',
    `deptCode`                  varchar(128) COMMENT '部门编号',
    `dirListCode`               varchar(128) COMMENT '目录清单编码',
    `runSystemShow`             varchar(128) COMMENT '运行系统名称',
    `jointReviewInfoShow`       varchar(128) COMMENT '联审信息',
    `doThingTypeShow`           varchar(32) COMMENT '办理类型',
    `pubTimeShow`               varchar(64) COMMENT '公示时限',
    `supervisoryTelephoneShow`  varchar(64) COMMENT '投诉电话',
    `handleTimeShow`            varchar(64) COMMENT '办公时间',
    `handlePlaceShow`           varchar(128) COMMENT '办公地址',
    `daysTypeShow`              varchar(16) COMMENT '节日类型',
    `tradeShow`                 varchar(64) COMMENT '行业',
    `eventSourceShow`           varchar(64) COMMENT '事项来源',
    `applyresultTypeShow`       varchar(64) COMMENT '审批结果类型',
    `typeOfReview`              varchar(255) COMMENT '审查类型',
    `enforcement`               varchar(64) COMMENT '实施机构',
    `serviceClassification`     varchar(128) COMMENT '服务主题分类',
    `licenseNumber`             varchar(64) COMMENT '许可数量',
    `number`                    int(5) COMMENT '办事者到办理现场次数',
    `inquire`                   varchar(255) COMMENT '办理查询',
    `handlingresultNames`       varchar(255) COMMENT '办理结果名称',
    `sampleApprovalResults`     varchar(255) COMMENT '审批结果样本',
    `performDeptName`           varchar(255) COMMENT '实施主题',
    `html`                      varchar(128) COMMENT 'html存储地址',
    `eventType`                 char(5) COMMENT '全债清单类型',
    `shardKey`                  int(11) COMMENT '',
    `parson`                    tinyint(1) COMMENT '个人1',
    `lengal`                    tinyint(1) COMMENT '法人 1',
    `materialRemark`            text COMMENT '总材料说明',
    `codeurl`                   varchar(128) COMMENT '事项二维码',
    `applyObject`               varchar(64) COMMENT '行使方式',
    `isUniteAccept`             varchar(64) COMMENT '统一受理模式',
    `sort`                      int(4) COMMENT '排序',
    `isRecommend`               tinyint(2) COMMENT '是否推荐(0.未推荐，1.推荐)',
    `createTime`                datetime COMMENT '创建时间',
    `createUserId`              bigint(20) COMMENT '创建用户',
    `updateTime`                datetime COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='基础事项业务';

-- ----------------------------
-- 事项申请材料业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_matter`;
CREATE TABLE mortals_xhx_matter
(
    `id`             bigint(20) AUTO_INCREMENT COMMENT '主键，自增长',
    `siteId`         bigint(20) COMMENT '站点ID',
    `tid`            varchar(128) COMMENT '从政务系统来的事项id',
    `tcode`          varchar(128) COMMENT '从政务系统来的事项code',
    `tname`          varchar(255) COMMENT '从政务系统来的事项name',
    `matterName`     varchar(64) COMMENT '事项名称',
    `englishName`    varchar(256) COMMENT '英语事项名',
    `matterNo`       varchar(64) COMMENT '事项编号',
    `matterFullName` varchar(64) COMMENT '事项全称',
    `deptId`         bigint(20) COMMENT '部门ID',
    `deptCode`       varchar(64) COMMENT '部门编号',
    `deptName`       varchar(64) COMMENT '部门名称',
    `total`          int(8) COMMENT '填单次数',
    `sort`           int(4) COMMENT '排序',
    `isRecommend`    tinyint(2) COMMENT '是否推荐(0.未推荐，1.推荐)',
    `source`         tinyint(2) COMMENT '是否推荐(0.手动添加，1.站点事项)',
    `createTime`     datetime COMMENT '创建时间',
    `createUserId`   bigint(20) COMMENT '创建用户',
    `updateTime`     datetime COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事项申请材料业务';

-- ----------------------------
-- 事项申请材料业务表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_matter_datum`;
CREATE TABLE mortals_xhx_matter_datum
(
    `id`              bigint(20) AUTO_INCREMENT COMMENT '主键，自增长',
    `matterId`        bigint(20) COMMENT '事项matter id',
    `deptId`          bigint(20) COMMENT '部门ID',
    `deptCode`        varchar(64) COMMENT '部门编号',
    `materialName`    varchar(1024) NOT NULL COMMENT '材料名',
    `materiaFullName` varchar(1024) NOT NULL COMMENT '材料全名',
    `source`          tinyint(2) COMMENT '事项来源(0.政务网，1.自定义)',
    `isRecommend`     tinyint(2) COMMENT '是否推荐(0.未推荐，1.推荐)',
    `total`           int(8) COMMENT '填单次数',
    `sort`            int(4) COMMENT '排序',
    `sampleName`      varchar(255) COMMENT '样表名称',
    `samplePath`      varchar(255) COMMENT '样表地址',
    `preViewPath`     varchar(255) COMMENT '样表预览地址',
    `createTime`      datetime COMMENT '创建时间',
    `createUserId`    bigint(20) COMMENT '创建用户',
    `updateTime`      datetime COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事项申请材料业务';

-- ----------------------------
-- 事项材料公共库表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_pubdatum`;
CREATE TABLE mortals_xhx_pubdatum
(
    `id`              bigint(20) AUTO_INCREMENT COMMENT '主键，自增长',
    `matterId`        bigint(20) COMMENT '事项matter id',
    `deptId`          bigint(20) COMMENT '部门ID',
    `deptCode`        varchar(64) COMMENT '部门编号',
    `materialName`    varchar(1024) NOT NULL COMMENT '材料名',
    `materiaFullName` varchar(1024) NOT NULL COMMENT '材料全名',
    `total`           int(8) COMMENT '填单次数',
    `sort`            int(4) COMMENT '排序',
    `sampleName`      varchar(255) COMMENT '样表名称',
    `samplePath`      varchar(255) COMMENT '样表地址',
    `preViewPath`     varchar(255) COMMENT '样表预览地址',
    `createTime`      datetime COMMENT '创建时间',
    `createUserId`    bigint(20) COMMENT '创建用户',
    `updateTime`      datetime COMMENT '修改时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='事项材料公共库';







